/*
 * Name:           CNull.REXX
 * Autor:          Stefan Kebekus
 * Datum:          4. Oktober 1990
 *
 * Sinn:           * ja *
 * Beschreibung:
 *
 * Die Nullstellen einer komplexen Funktion werden berechnet und im
 * Graphenfenster als Statistikdaten ausgegeben.
 *
 */

ADDRESS "rexx_SIGMAth"			/* Verbindung zu SIGMAth herstellen */
OPTIONS results				/* ja, wir wollen Ergebnisse (wichtig !) */


MathError = "x"
do while MathError~=""
	SAY '0C'x
	Say '*** Nullstellen komplexer Funktionen ***' '0A'x
	SAY 'Dieses Programm zeichnet die Nullstellen von komplexen Funktionen'
	SAY 'in das Graphenfenster von SIGMAth.' '0A'x
	SAY 'Bitte Funktion eingeben:'
	SAY 'f(z) = '
	PULL Term

	CFunktion Term			/* SIGMAth mit der eingegebenen Funktion fttern */
	if MathError ~= "" then do	/* War die Funktion nicht korrekt ? */
		Say '0A'x"Die Funktion war nicht korrekt: "MathError	/* gleich anmeckern */
		Say "Bitte <Return> drcken..."
		Pull Term
	end
end

Say '0A'x"Bitte reellen Arbeitsbereich angeben:"
Pull RStart
Pull RStop
RStep	= (RStop-RStart)/40

Say '0A'x"Bitte komplexen Arbeitsbereich angeben:"
Pull CStart
Pull CStop
CStep	= (CStop-CStart)/40

Say '0A'x"Berechne die Nullstellen. Bitte warten..."
Nullstellen RStart RStop RStep CStart CStop CStep	/* die komplexen Nullstellen berechnen */

MaxN	= result

if MaxN = "0" then do
	Say '0A'x"Im gewhlten Bereich wurden keine Nullstellen gefunden."
end
else do
	Say '0A'x"Es wurden" MaxN "Nullstellen gefunden."
	Clr_Daten			/* Alle vorhandenen Daten lschen */
	Clr_Graph			/* Das Graphenfenster lschen */

	do i=1 to MaxN
		Set_Datum Erg2.i Erg3.i	/* SIGMAth mit den Nullstellen fttern */
					/* d.h. die Nullstellen als Statistikdaten eingeben */
	end
	DatenGraph 1 1 1		/* Daten zeichnen */
end
