/*
 * Name:           SIGMAth.REXX
 * Autor:          Stefan Kebekus
 * Datum:          4. Oktober 1990
 *
 * Sinn:           * keinen *
 * Beschreibung:
 *
 * Dieses Programm fttert SIGMAth mit Statistikdaten. Verbindet man
 * die gezeichneten Daten mit Linien, so erhlt man den Schriftzug
 * "SIGMAth". Durch Variation des Y-Wertebreiches wird eine einfache
 * Animation erzeugt. Die Animation ist leider nicht vollstndig 
 * flackerfrei.
 * Zum Schluss werden dem staunenden Anwender noch die verschiedenen
 * Linienmuster gezeigt, dann wird alles wieder gelscht.
 *
 */

ADDRESS "rexx_SIGMAth"			/* Verbindung zu SIGMAth herstellen */
OPTIONS results				/* ja, wir wollen Ergebnisse (wichtig!) */

Clr_Daten				/* Vorhandene Daten lschen */


/*
 * Jetzt werden die Daten
 * eingefttert
 *
 */

Set_Datum	"2 2.7"			/* S */
Set_Datum	"1 2.5"
Set_Datum	"1 1.7"
Set_Datum	"2 1.3"
Set_Datum	"2 0.5"
Set_Datum	"0 0.3"
Set_Datum	"2 0.5"

Set_Datum	"3 0.5"			/* I */
Set_Datum	"3 2.5"
Set_Datum	"3 0.5"

Set_Datum	"4 0.5"			/* G */
Set_Datum	"4 2.5"
Set_Datum	"4.5 2.5"
Set_Datum	"4 2.5"
Set_Datum	"4 0.5"
Set_Datum	"4.5 0.5"
Set_Datum	"4.5 1.5"
Set_Datum	"4.2 1.5"
Set_Datum	"4.5 1.5"
Set_Datum	"4.5 0.5"

Set_Datum	"5 0.5"			/* M */
Set_Datum	"5.1 2.5"
Set_Datum	"5.5 1.5"
Set_Datum	"5.9 2.5"
Set_Datum	"6 0.5"

Set_Datum	"6.5 0.5"		/* A */
Set_Datum	"7 2.5"
Set_Datum	"7.25 1.5"
Set_Datum	"6.75 1.5"
Set_Datum	"7.25 1.5"
Set_Datum	"7.5 0.5"

Set_Datum	"8 0.5"			/* t */
Set_Datum	"8 2.5"
Set_Datum	"8 1.5"
Set_Datum	"7.5 1.5"
Set_Datum	"8.5 1.5"
Set_Datum	"8 1.5"
Set_Datum	"8 0.5"

Set_Datum	"8.7 0.5"			/* h */
Set_Datum	"8.7 2.5"
Set_Datum	"8.7 1.5"
Set_Datum	"9.3 1.5"
Set_Datum	"9.3 0.5"

/*
 * Die Graphik wird vorbereitet....
 *
 */

Clr_Graph				/* Vorhandenen Graphen lschen */

Y_Grenzen	" 5 10"			/* Y-Grenzen festlegen (so da noch niemand etwas sieht) */
DatenGraph	" 0 1 1"		/* Und den Graphen schon mal zeichnen lassen */

/*
 * ... und in das Bild hineingeschoben
 *
 */

do H=0 to 42				/* Jetzt den Graphen hereinscrollen */
	Unten	= 2.2-H*0.1		/* Untere und obere Grenzen */
	Oben	= 8.2-H*0.1		/* langsam senken */
	Y_Grenzen	Unten Oben	/* und immer wieder zeichnen */
end
do i=0 to 2000				/* kleine Warteschleife */
end


/*
 * Jetzt wird die Schrift verkleinert und vergrert
 *
 */

do H=0 to 20				/* Jetzt verkleinern */
	Unten	= -2 -H*0.4		/* Untere Grenze langsam senken */
	Oben	=  4 +H*0.4		/* Obere Grenze langsam erhhen */
	Y_Grenzen	Unten Oben	/* und immer wieder zeichnen */
end
do H=0 to 20				/* Jetzt vergrern */
	Unten	= -2 -(20-H)*0.4	/* Untere Grenze langsam erhhen */
	Oben	=  4 +(20-H)*0.4	/* Obere Grenze langsam senken */
	Y_Grenzen	Unten Oben	/* und immer wieder zeichnen */
end

/*
 * Jetzt werden dem Anwender die verschiedenen
 * Linienmuster vorgefhrt
 *
 */

DatenGraph	" 1 0 1"		/* keine Verbindungslinien */
do i=0 to 2000				/* kleine Warteschleife */
end
DatenGraph	" 1 1 1"		/* durchgezogene Verbindungslinien */
do i=0 to 2000				/* kleine Warteschleife */
end
DatenGraph	" 1 2 1"		/* gestrichelte Verbindungslinien */
do i=0 to 2000				/* kleine Warteschleife */
end
DatenGraph	" 1 3 1"		/* gestrichelte Verbindungslinien */
do i=0 to 2000				/* kleine Warteschleife */
end
DatenGraph	" 1 4 1"		/* gestrichelte Verbindungslinien */
do i=0 to 2000				/* kleine Warteschleife */
end
DatenGraph	" 1 5 1"		/* gestrichelte Verbindungslinien */
do i=0 to 2000				/* kleine Warteschleife */
end

/*
 * Nun wird der Schriftzug aus dem Bild hinausgeschoben
 *
 */

DatenGraph	" 1 1 1"		/* Schnell noch mal zeichnen */
do H=0 to 50				/* Jetzt den Graphen herausscrollen */
	Unten	= -4.0-H*0.1		/* Untere und obere Grenzen */
	Oben	=  4.0-H*0.1		/* langsam senken */
	Y_Grenzen	Unten Oben	/* und immer wieder zeichnen */
end
do i=0 to 2000				/* kleine Warteschleife */
end


/*
 * Jetzt schnell den ganzen Mist lschen,
 * dann ist Schluss
 *
 */

Y_Grenzen	"1 -1"			/* feste Y_Grenzen lschen */
Clr_Daten				/* Daten lschen */
Clr_Graph				/* Graphikfenster lschen */
