/*
 * Name:           Spirale.REXX
 * Autor:          Stefan Kebekus
 * Datum:          4. Oktober 1990
 *
 * Sinn:           * zweifelhaft *
 * Beschreibung:
 *
 * Dieses Programm zeichnet auf dem SIGMAth-Graphikfenster eine, wenn auch
 * sehr eckige, Spirale.
 * Dazu wird zunchst eine Tabelle der Sinus- und Cosinuswerte angelegt.
 * Aus diesen Werten werden dann Stck fr Stck die Statistikdaten erzeugt
 * und sofort, mit Linien verbunden, auf dem SIGMAth-Bildschirm ausgegeben. 
 *
 */

ADDRESS "rexx_SIGMAth"			/* Verbindung zu SIGMAth herstellen */
OPTIONS results				/* ja, wir wollen Ergebnisse */


Clr_Daten				/* Vorhandene Daten lschen */
Clr_Graph				/* Vorhandenen Graphen lschen */
Y_Grenzen	"1 -1"			/* feste Y_Grenzen lschen */

/*
 * Jetzt soll eine Tabelle mit Sinuswerten erzeugt werden.
 *
 */

Funktion	"0 30 sin(x)"		/* Hier steht die Passende Funktion */
Tabelle		"0.5"			/* Eine Tabelle mit 30 Eintrgen */
do i=0 to 59
	STAB.i	= Erg2.i		/* Nun die Tabelle kopieren */
end


/*
 * Jetzt soll eine Tabelle mit Cosinuswerten erzeugt werden.
 *
 */

Funktion	"0 30 cos(x)"		/* Hier steht die Passende Funktion */
Tabelle		"0.5"			/* Eine Tabelle mit 30 Eintrgen */
do i=0 to 59
	CTAB.i	= Erg2.i		/* Nun die Tabelle kopieren */
end


/*
 * Jetzt gehts ans zeichnen...
 *
 */

do i=0 to 59
	X	= CTAB.i*3*i/59		/* X- und */
	Y	= STAB.i*3*i/59		/* Y-Werte berechnen, */
	Set_Datum X Y			/* neues Statistikdatum anhngen... */
	DatenGraph	"1 1 1"		/* und zeichnen */
end
do i=0 to 2000				/* kleine Warteschleife */
end


/*
 * Jetzt schnell den ganzen Mist lschen,
 * dann ist Schluss
 *
 */

Clr_Daten				/* Daten lschen */
Clr_Graph				/* Graphikfenster lschen */
